/*
 * Copyright (c) 2024. looly(loolly@aliyun.com)
 * Hutool is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          https://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */

package org.dromara.hutool.core.bean;

import lombok.Data;
import org.junit.jupiter.api.Test;

import java.util.HashMap;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.assertNotNull;

public class Issue3645Test {
	@Test
	public void copyPropertiesTest() {
		final User p = new User();
		p.setUserId(123L);

		final Map<Long, User> map = new HashMap<>();
		map.put(123L,p);

		final Map<Long, User> m = new HashMap<>();
		BeanUtil.copyProperties(map, m);
		final User u = m.get(123L);
		assertNotNull(u);
	}

	@Data
	static class User{
		private Long userId;
	}
}
